List Vehicle Departure Times
curl --request GET \
--url https://api.volteras.com/v1/vehicles/{vehicle_id}/departure-times \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.volteras.com/v1/vehicles/{vehicle_id}/departure-times"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.volteras.com/v1/vehicles/{vehicle_id}/departure-times', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"departureTimes": [
{
"hour": 123,
"minute": 123,
"daysOfWeek": [
"MONDAY"
],
"localTimeOffset": 123
}
]
}Vehicle Charging Schedule
List Vehicle Departure Times
Retrieve a list of departure times for the provided vehicle.
Departure times determine when the vehicle needs to charge by, working with the target state of charge, which determines the charging behavior. So for example, if the target state of charge is 80%, the departure time is 10:00, the vehicle is at 70%, and the rate of charge is 10% per hour, the vehicle might start charging at 9:00 to reach 80% by 10:00.
Possible Codes in Error Response (see Errors for error response schema and meaning of codes):
- AUTHENTICATION_ERROR
- REQUEST_VALIDATION_ERROR
- SERVER_ERROR
GET
/
v1
/
vehicles
/
{vehicle_id}
/
departure-times
List Vehicle Departure Times
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique internal identifier for the vehicle.
Response
200 - application/json
Successful Response
Show child attributes
Show child attributes

